/* Global styles */

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}



body {
  margin: 0;
  overflow: none;
  font-family: "Poppins", Arial, sans-serif;
}

/* Sidebar styles */
.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 350px;
  background: #11101d;
  z-index: 100;
  transition: all 0.5s ease;
}


.sidebar.close {
  width: 78px;
}

.sidebar.active {
  width: 60px;
}

.sidebar .logo-details {
  height: 60px;
  width: 100%;
  display: flex;
  align-items: center;
}

.sidebar .logo-details i {
  font-size: 30px;
  color: #fff;
  height: 50px;
  min-width: 78px;
  text-align: center;
  line-height: 50px;
}

.sidebar .logo-details .logo_name {
  font-size: 22px;
  color: #fff;
  font-weight: 600;
  transition: 0.3s ease;
  transition-delay: 0.1s;
}


.sidebar .nav-links {
  margin-top: 20px;
  height: 100%;
  padding: 0 0 150px 0;
  overflow: auto;
}

.sidebar.close .nav-links {
  overflow: visible;
}

.sidebar .nav-links::-webkit-scrollbar {
  display: none;
}

.sidebar .nav-links li {
  position: relative;
  list-style: none;
  transition: all 0.4s ease;
}



.sidebar .nav-links li:hover {
  background: #1d1b31;
}

  /* Links and Submenus */
  .sidebar .nav-links li .iocn-link {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .sidebar.close .nav-links li .iocn-link {
    display: block;
  }


.sidebar .nav-links li a {
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  text-decoration: none;
  transition: all 0.4s ease;
}


.sidebar .nav-links li a.active,
.sidebar .nav-links li a:hover {
  background: #1d1b31;
}

.sidebar .nav-links li i {
  height: 50px;
  min-width: 78px;
  text-align: center;
  line-height: 50px;
  color: #fff;
  font-size: 20px;
  cursor: pointer;
  transition: all 0.3s ease;
}


.sidebar .nav-links li.showMenu i.arrow {
  transform: rotate(-180deg);
}

.sidebar.close .nav-links i.arrow {
  display: none;
}

.sidebar .nav-links li a .links_name {
  color: #fff;
  font-size: 15px;
  font-weight: 400;
  white-space: wrap;
}


.sidebar .nav-links li a .link_name {
  font-size: 18px;
  font-weight: 400;
  color: #fff;
  transition: all 0.4s ease;
}

.sidebar.close .nav-links li a .link_name {
  opacity: 0;
  pointer-events: none;
}


  /* Submenu Styles */
  .sidebar .nav-links li .sub-menu {
    padding: 6px 6px 14px 80px;
    margin-top: -10px;
    background: #1d1b31;
    display: none;
  }

  .sidebar .nav-links li.showMenu .sub-menu {
    display: block;
  }

  .sidebar .nav-links li .sub-menu a {
    color: #fff;
    font-size: 15px;
    padding: 5px 0;
    white-space: nowrap;
    opacity: 0.6;
    transition: all 0.3s ease;
  }

  .sidebar .nav-links li .sub-menu a:hover {
    opacity: 1;
  }

  .sidebar.close .nav-links li .sub-menu {
    position: absolute;
    left: 100%;
    top: -10px;
    margin-top: 0;
    padding: 10px 20px;
    border-radius: 0 6px 6px 0;
    opacity: 0;
    pointer-events: none;
    transition: 0s;
  }

  .sidebar.close .nav-links li:hover .sub-menu {
    top: 0;
    opacity: 1;
    pointer-events: auto;
    transition: all 0.4s ease;
  }

/* Main content (home-section) styles */
.home-section {
  position: relative;
  min-height: 100vh;
  left: 350px;
  width: calc(100% - 350px);
  transition: all 0.5s ease;
  background: #E4E9F7;
}

.sidebar.close~.home-section {
  left: 78px;
  width: calc(100% - 78px);
}

.sidebar.active ~ .home-section {
  left: 60px;
  width: calc(100% - 60px);
}


.home-section nav {
  display: flex;
  justify-content: space-between;
  height: 80px;
  background: #6c757d;
  align-items: center;
  position: fixed;
  width: calc(100% - 350px);
  left: 350px;
  z-index: 100;
  padding: 0 20px;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
  transition: all 0.5s ease;
}


.sidebar.active ~ .home-section nav {
  left: 60px;
  width: calc(100% - 60px);
}
.home-section nav .sidebar-button {
  display: flex;
  align-items: center;
  font-size: 24px;
  font-weight: 500;
}
nav .sidebar-button i {
  font-size: 35px;
  margin-right: 10px;
}

.home-content {
  position: relative;
  padding-top: 104px;
}

.home-content .overview-boxes {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  flex-wrap: nowrap;
  padding: 0 20px;
  margin-bottom: 26px;
}

.overview-boxes .box {
  display: center;
  align-items: center;
  justify-content: center;
  min-width: auto;
  background: #fff;
  padding: 15px 14px;
  border-radius: 12px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  margin: 5px;
  font-size: 12px;
}


.overview-boxes .box-topic {
  font-size: 20px;
  font-weight: 500;
}
.home-content .box .number {
  display: inline-block;
  font-size: 35px;
  margin-top: -6px;
  font-weight: 500;
}
.home-content .box .indicator {
  display: flex;
  align-items: center;
}

.home-content .box .cart.two {
  color: #2bd47d;
  background: #c0f2d8;
}
.home-content .box .cart.three {
  color: #ffc233;
  background: #ffe8b3;
}
.home-content .box .cart.four {
  color: #e05260;
  background: #f7d4d7;
}
.home-content .total-order {
  font-size: 20px;
  font-weight: 500;
}
.home-content .sales-boxes {
  display: flex;
  justify-content: space-between;
  /* padding: 0 20px; */
}

/* left box */
.home-content .sales-boxes .recent-sales {
  width: 65%;
  background: #fff;
  padding: 20px 30px;
  margin: 0 20px;
  border-radius: 12px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
}
.home-content .sales-boxes .sales-details {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.sales-boxes .box .title {
  font-size: 24px;
  font-weight: 500;
  /* margin-bottom: 10px; */
}
.sales-boxes .sales-details li.topic {
  font-size: 20px;
  font-weight: 500;
}
.sales-boxes .sales-details li {
  list-style: none;
  margin: 8px 0;
}
.sales-boxes .sales-details li a {
  font-size: 18px;
  color: #333;
  font-size: 400;
  text-decoration: none;
}
.sales-boxes .box .button {
  width: 100%;
  display: flex;
  justify-content: flex-end;
}

.sales-boxes .box .button a {
  color: #fff;
  background: #0a2558;
  padding: 4px 12px;
  font-size: 15px;
  font-weight: 400;
  border-radius: 4px;
  text-decoration: none;
  transition: all 0.3s ease;
}
.sales-boxes .box .button a:hover {
  background: #0d3073;
}

/* Right box */
.home-content .sales-boxes .top-sales {
  width: 35%;
  background: #fff;
  padding: 20px 30px;
  margin: 0 20px 0 0;
  border-radius: 12px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
}
.sales-boxes .top-sales li {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 10px 0;
}
.sales-boxes .top-sales li a img {
  height: 40px;
  width: 40px;
  object-fit: cover;
  border-radius: 12px;
  margin-right: 10px;
  background: #333;
}
.sales-boxes .top-sales li a {
  display: flex;
  align-items: center;
  text-decoration: none;
}
.sales-boxes .top-sales li .product,
.price {
  font-size: 17px;
  font-weight: 400;
  color: #333;
}


  /* Active States */
  .sub-menu a.active {
    font-weight: bold;
    color: #008080;
  }


/* Navigation and search bar */
nav .sidebar-button {
  display: flex;
  align-items: center;
  font-size: 24px;
  font-weight: 500;
}

nav .search-box {
  position: relative;
  height: 50px;
  max-width: 550px;
  width: 100%;
  margin: 0 20px;
}

nav .search-box input {
  height: 100%;
  width: 100%;
  outline: none;
  background: #f5f6fa;
  border: 2px solid #efeef1;
  border-radius: 6px;
  font-size: 18px;
  padding: 0 15px;
}

  /* Profile Details */
  .sidebar .profile-details {
    position: fixed;
    bottom: 0;
    width: 350px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #1d1b31;
    padding: 12px 0;
    transition: all 0.5s ease;
  }

  .sidebar.close .profile-details {
    width: 78px;
    background: none;
  }

  .sidebar .profile-details img {
    height: 52px;
    width: 52px;
    object-fit: cover;
    border-radius: 16px;
    margin: 0 14px 0 12px;
    background: #1d1b31;
    transition: all 0.5s ease;
  }

  .sidebar.close .profile-details img {
    padding: 10px;
  }

  .sidebar .profile-details .profile_name,
  .sidebar .profile-details .job {
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    white-space: nowrap;
  }

  .sidebar.close .profile-details .profile_name,
  .sidebar.close .profile-details .job {
    display: none;
  }

  
  @media screen and (max-width: 400px) {
    .sidebar {
      width: 240px;
    }

    .sidebar.close {
      width: 78px;
    }

    .sidebar .profile-details {
      width: 240px;
    }

    .sidebar.close .profile-details {
      background: none;
    }

    .sidebar.close .profile-details {
      width: 78px;
    }

    .home-section {
      left: 240px;
      width: calc(100% - 240px);
    }

    .sidebar.close~.home-section {
      left: 78px;
      width: calc(100% - 78px);
    }
  }


/* Responsive styles */
@media (max-width: 1240px) {
  .sidebar {
    width: 60px;
  }

  .home-section {
    left: 60px;
    width: calc(100% - 60px);
  }

  .sidebar.active ~ .home-section {
    left: 250px;
    width: calc(100% - 250px);
  }
}

@media (max-width: 768px) {
  .sidebar {
    width: 100%;
    height: auto;
    position: relative;
  }

  .home-section {
    margin-left: 0;
    padding: 10px;
  }
}

@media (max-width: 480px) {
  .nav-links li {
    text-align: center;
  }

  .home-section nav {
    width: 100%;
    left: 0;
  }
}

/* Utility classes */
.alert {
  margin: 10px;
  padding: 15px;
  color: white;
  border-radius: 10px;
}

.alert.danger {
  background-color: #f44336;
}

.alert.success {
  background-color: #25da7c;
}

/* Form elements */
input, textarea, select {
  width: 100%;
  margin: 8px 0;
  padding: 8px 5px;
  border-radius: 5px;
  border: 1px solid #ccc;
}

button {
  background-color: rgb(6, 183, 233);
  color: white;
  width: 200px;
  height: 30px;
  border: 1px solid #ccc;
  font-size: 15px;
  border-radius: 5px;
}




.home-section nav {
  display: flex;
  justify-content: space-between;
  height: 70px;
  background: #6c757d;
  display: flex;
  align-items: center;
  position: fixed;
  width: calc(100% - 350px);
  left: 350px;
  top: 0;
  z-index: 100;
  padding: 0 20px;
  transition: all 0.5s ease;
}

.home-section nav .sidebar-button {
  display: flex;
  align-items: center;
  font-size: 24px;
  font-weight: 500;
}

.home-section nav .sidebar-button i {
  font-size: 35px;
  margin-right: 10px;
}

.home-section nav .search-box {
  position: relative;
  height: 50px;
  max-width: 550px;
  width: 100%;
  margin: 0 20px;
}

.home-section nav .search-box input {
  height: 100%;
  width: 100%;
  outline: none;
  background: #f5f6fa;
  border: 2px solid #f5f6fa;
  border-radius: 6px;
  font-size: 18px;
  padding: 0 15px;
}

.home-section nav .search-box .bx-search {
  position: absolute;
  height: 40px;
  width: 40px;
  background: #2697FF;
  right: 5px;
  top: 50%;
  transform: translateY(-50%);
  border-radius: 4px;
  line-height: 40px;
  text-align: center;
  color: #fff;
  font-size: 22px;
  transition: all 0.4 ease;
}


.home-section nav .profile-details img {
  height: 45px;
  width: 45px;
  border-radius: 6px;
  object-fit: cover;
}

.home-section nav .profile-details .admin_name {
  font-size: 15px;
  font-weight: 500;
  color: #333;
  margin: 0 10px;
}

.home-section nav .profile-details i {
  font-size: 25px;
  color: #333;
}


.home-section nav .profile-details {
  display: flex;
  align-items: center;
  background: #f5f6fa;
  border: 2px solid #efeef1;
  border-radius: 6px;
  height: 50px;
  min-width: 190px;
  padding: 0 15px 0 2px;
}
nav .profile-details img {
  height: 40px;
  width: 40px;
  border-radius: 6px;
  object-fit: cover;
}
nav .profile-details .admin_name {
  font-size: 15px;
  font-weight: 500;
  color: #333;
  margin: 0 10px;
  white-space: nowrap;
}
nav .profile-details i {
  font-size: 25px;
  color: #333;
}



/* page d'accueil */


.menu_position {
  padding-left: 30%;
  }
  
  .recherche_position {
  
      padding-left: 10%;
  }
  
  .btn-outline-success:hover {
      color: #fff;
      border-color: #045ad1;
      background-color: #045ad1;
  }
  
  .btn-outline-success {
      color: #045ad1;
      border-color: #045ad1;
    }
  
  .menu2 {
      width: 100%;
      height: 80px;
      background-color:#045ad1 ;
      font-size: 22px;
  }
  
  .menu2 ul {
      list-style:none ;
      padding-left: 38%;
      padding-top: 20px;
      font-size: 22px;
     }
  
  .menu2 ul li {
      display: inline-block ;
      font-size: 22px;
      margin-right: 20px;
     }
  
     .menu2 ul li a {
      color: #fff;
      text-decoration: none;
      font-size: 22px;
     }
  
  .imageAnnonce{
      height: 100%;
  }
  
  .lefooter{
      background-color: #045ad1;
      color: #fff;
  }
  
  .lefooter a {
      color: #fff!important;
  }
  
  .lienTA {
      color: black;
      text-decoration: none;
  }
  
  .lienTA:hover {
      color:#045ad1;
  }
  
  
  .tri-form {
      margin-right:0px;
      padding-right:0px;
  }
  
  .tri-bouton {
      margin-left:0px;
      padding-left:0px;
  }
  
  .info {
      border: 1px solid #bbbbbb;
     
  }
  
  .infoprix {
      font-weight: bold;
      font-size: 20px;
      padding-left: 10px;
  }
  
  .infovendeur {
      background-color: #f7f7f7;
      padding-left: 10px;
  }
  
  .infovendeur ul {
      list-style:none ;   
  
  }
  

/* style etat */
  .home-content .overview-boxes-etat {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    flex-wrap: nowrap;
    padding: 0 20px;
    margin-bottom: 26px;
  }
  .overview-boxes-etat .box-etat {
    display: flex;
    align-items: left;
    justify-content: center;
    min-width: calc(100% / 6 - 15px);
    background: #fff;
    padding: 15px 14px;
    border-radius: 12px;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
    margin: 5px;
  }

  .notification {
    color: red;
    font-weight: bold;
  }


  /* Styles pour mobile */
@media (max-width: 768px) {
  .sidebar {
    width: 100%;
    height: auto;
    position: relative;
  }
  .nav-links li {
    text-align: center;
    float: none;
  }
  .home-section {
    margin-left: 0;
    padding: 10px;
  }
  .profile-details, .search-box {
    display: none; /* Masquer certains éléments si l'espace est restreint */
  }
}

/* Styles pour tablettes */
@media (min-width: 769px) and (max-width: 1024px) {
  .sidebar {
    width: 250px;
  }
  .home-section {
    margin-left: 250px;
  }
}

@media (max-width: 768px) {
  .bx {
    font-size: 20px;
  }
}


/* Styles pour les écrans de téléphone */
@media (max-width: 768px) {
  .nav-links li a {
    font-size: 16px; /* Ajustez la taille selon votre besoin */
    color: #ffffff; /* Choisissez une couleur avec un bon contraste */
    padding: 10px; /* Ajoute de l'espace pour faciliter le clic */
  }

  /* Optionnel : pour des icônes et textes visibles */
  .nav-links li a i {
    font-size: 20px;
  }

  /* Changez le fond de la barre latérale pour améliorer la visibilité des liens */
  .sidebar {
    background-color: #333; /* Une couleur foncée pour faire ressortir le texte */
  }
}

@media (max-width: 768px) {
  .nav-links li a {
    text-decoration: underline;
    border-bottom: 1px solid #ffffff;
  }
}


/* Forcer l'affichage des libellés sur mobile */
.nav-links .links_name {
  display: inline-block !important;
  font-size: 14px; /* Ajustez la taille si nécessaire */
  white-space: nowrap;
}

/* Ajustez la taille de l'icône et du texte pour les petits écrans */
@media (max-width: 768px) {
  .sidebar .nav-links a {
      flex-direction: row;
      align-items: center;
      padding: 8px;
  }
  
  .sidebar .nav-links i {
      font-size: 20px;
  }

  .sidebar .nav-links .links_name {
      font-size: 12px;
  }
}



/* Assurer la visibilité de l’en-tête */
.dashboard {
  font-size: 18px;
  font-weight: bold;
  color: #fff;
  padding: 10px 20px;
}

/* Prévenir le chevauchement des liens */
.nav-links a {
  display: flex;
  align-items: center;
 /* padding: 10px; */
  text-decoration: none;
  color: #fff;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

/* Ajuster la largeur et la disposition en mobile */
@media (max-width: 768px) {
  .sidebar {
      width: 100%;
  }
  .nav-links li {
      margin-bottom: 5px;
  }
}


/* FORMULAIRE DE CONNEXION */

html, body * { box-sizing: border-box; font-family: 'Open Sans', sans-serif; font-size: 12px;}


.container {
  width: 100%;
  padding-top: 80px;
  padding-bottom: 100px;
}

.frame {
  height: 575px;
  width: 430px;
  background:
    linear-gradient(
    rgba(35,43,85,0.75),
    rgba(35,43,85,0.95)),
    url(https://res.cloudinary.com/dxfq3iotg/image/upload/v1564049481/bg-clouds.jpg) no-repeat center center;
  background-size: cover;
  margin-left: auto;
  margin-right: auto;
  border-top: solid 1px rgba(255,255,255,.5);
  border-radius: 5px;
  box-shadow: 0px 2px 7px rgba(0,0,0,0.2);
  overflow: hidden;
  transition: all .5s ease;
}

.frame-long {
  height: 615px;
}

.frame-short {
  height: 400px;
  margin-top: 50px;
  box-shadow: 0px 2px 7px rgba(0,0,0,0.1);
}

.nav {
  width: 100%;
  height: 100px;
  padding-top: 40px;
  opacity: 1;
  transition: all .5s ease;
}

.nav-up {
  transform: translateY(-100px);
  opacity: 0;
}

.signin-active a {
  padding-bottom: 10px;
  color: #ffffff;
  text-decoration: none;
  border-bottom: solid 2px #1059FF;
  transition: all .25s ease;
  cursor: pointer;
}

.signin-inactive a {
  padding-bottom: 0;
  color: rgba(255,255,255,.3);
  text-decoration: none;
  border-bottom: none;
  cursor: pointer;
}

.signup-active a {
  cursor: pointer;
  color: #ffffff;
  text-decoration: none;
  border-bottom: solid 2px #1059FF;
  padding-bottom: 10px;
}

.signup-inactive a {
  cursor: pointer;
  color: rgba(255,255,255,.3);
  text-decoration: none;
  transition: all .25s ease;
}

.form-signin {
  width: 430px;
  height: 375px;
  font-size: 12px;
  font-weight: 300;
  padding-left: 37px;
  padding-right: 37px;
  padding-top: 55px;
  transition: opacity .5s ease, transform .5s ease;
}

.form-signin-left {
  transform: translateX(-400px);
  opacity: .0;
}

.form-signup {
  width: 430px;
  height: 375px;
  font-size: 12px;
  font-weight: 300;
  padding-left: 37px;
  padding-right: 37px;
  padding-top: 55px;
  position: relative;
  top: -375px;
  left: 400px;
  opacity: 0;
  transition: all .5s ease;
}

.form-signup-left {
  transform: translateX(-399px);
  opacity: 1;
}

.form-signup-down {
  top: 0px;
  opacity: 0;
}

.success {
  width: 80%;
  height: 150px;
  text-align: center;
  position: relative;
  top: -890px;
  left: 450px;
  opacity: .0;
  transition: all .8s .4s ease;
}

.success-left {
  transform: translateX(-406px);
  opacity: 1;
}

.successtext {
  color: #ffffff;
  font-size: 12px;
  font-weight: 300;
  margin-top: -35px;
  padding-left: 37px;
  padding-right: 37px;
}

#check path {
    stroke: #ffffff;
    stroke-linecap:round;
    stroke-linejoin:round;
    stroke-width: .85px;
    stroke-dasharray: 60px 300px;
    stroke-dashoffset: -166px;
    fill: rgba(255,255,255,.0);
    transition: stroke-dashoffset 2s ease .5s, fill 1.5s ease 1.0s;
}

#check.checked path {
    stroke-dashoffset: 33px;
    fill: rgba(255,255,255,.03);
}

.form-signin input, .form-signup input {
  color: #ffffff;
  font-size: 13px;
}

.form-styling {
  width: 100%;
  height: 35px;
  padding-left: 15px;
  border: none;
  border-radius: 20px;
  margin-bottom: 20px;
  background: rgba(255,255,255,.2);
}

label {
  font-weight: 500;
  font-size: 13px;
  padding-left: 15px;
  color: rgb(12, 12, 12);
  display: block;
}

:focus {outline: none;
}

.form-signin input:focus, textarea:focus, .form-signup input:focus, textarea:focus {
    background: rgba(255,255,255,.3);
    border: none; 
    padding-right: 40px;
    transition: background .5s ease;
 }

[type="checkbox"]:not(:checked),
[type="checkbox"]:checked {
  position: absolute;
  display: none;
}

[type="checkbox"]:not(:checked) + label,
[type="checkbox"]:checked + label {
  position: relative;
  padding-left: 85px;
  padding-top: 2px;
  cursor: pointer;
  margin-top: 8px;
}

[type="checkbox"]:not(:checked) + label:before,
[type="checkbox"]:checked + label:before,
[type="checkbox"]:not(:checked) + label:after,
[type="checkbox"]:checked + label:after {
  content: '';
  position: absolute;
}

[type="checkbox"]:not(:checked) + label:before,
[type="checkbox"]:checked + label:before {
  width: 65px; 
  height: 30px;
  background: rgba(255,255,255,.2);
  border-radius: 15px;
  left: 0; 
  top: -3px;
  transition: all .2s ease;
}

[type="checkbox"]:not(:checked) + label:after,
[type="checkbox"]:checked + label:after {
  width: 10px; 
  height: 10px;
  background: rgba(255,255,255,.7);
  border-radius: 50%;
  top: 7px; 
  left: 10px;
  transition: all .2s ease;
}


/* reçu */

.cote-a-cote {
  display: flex; justify-content: space-between;
  font-size: 12px; /* Taille de police */
  font-weight:normal; /* Épaisseur de police en gras */
  }
  
  .page {
    width: 210mm;
    min-height: 297mm;
    padding: 20mm;
    margin: 10mm auto;
    border: 1px #d3d3d3 solid;
    border-radius: 5px;
    background: white;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
  }
  
  
  .subpage {
    padding: 1cm;
    border: 5px red solid;
    height: 257mm;
    outline: 2cm #ffeaea solid;
  }
  
  @media print {
    .hidden-print,
    .hidden-print * {
      display: none !important;
      background: gray;
    }
  }
  
  @page {
    size: A4;
    margin: 0;
  }
  
  @media print {
    html,
    body {
      width: 210mm;
      height: 297mm; 
    }
    .hidden-print,
    .hidden-print * {
    display: none !important;
    background: gray;
    }
    .page {
      margin: 0;
      border: initial;
      border-radius: initial;
      width: initial;
      min-height: initial;
      background: initial;
      box-shadow: initial;
      page-break-after: always;
    }
  }
  

.titrerecu {
  font-size: 14px; /* Taille de police */
  font-weight:normal; /* Épaisseur de police en gras */
}


.home-content .box .indicator i {
  height: 20px;          /* Définit la hauteur de l'élément à 20 pixels. */
  width: 20px;           /* Définit la largeur de l'élément à 20 pixels. */
  background: #8fdacb;   /* Définit la couleur de fond de l'élément à un vert clair (#8fdacb). */
  line-height: 20px;     /* Définit la hauteur de ligne à 20 pixels, ce qui aligne le texte verticalement au centre si l'élément a du texte. */
  text-align: center;    /* Centre le texte horizontalement à l'intérieur de l'élément. */
  border-radius: 50%;    /* Donne à l'élément une bordure arrondie, le rendant circulaire étant donné que la hauteur et la largeur sont égales. */
  color: #fff;           /* Définit la couleur du texte à blanc (#fff). */
  font-size: 20px;       /* Définit la taille de la police à 20 pixels. */
  margin-right: 5px;     /* Ajoute une marge externe de 5 pixels à droite de l'élément. */
}


.box .indicator i.down {
  background: #e87d88;
}
.home-content .box .indicator .text {
  font-size: 12px;
}
.home-content .box .cart {
  display: inline-block;   /* Définit l'élément comme un conteneur de type inline-block, permettant de définir la hauteur et la largeur tout en restant en ligne avec d'autres éléments. */
  font-size: 32px;         /* Définit la taille de la police à 32 pixels. */
  height: 50px;             /* Définit la hauteur de l'élément à 0 pixel. (peut être utilisé pour des ajustements de layout spécifiques ou être un effet résiduel d'une autre règle). */
  width: 50px;             /* Définit la largeur de l'élément à 50 pixels. */
  background: #cce5ff;     /* Applique une couleur de fond bleu clair à l'élément. */
  line-height: 50px;       /* Définit la hauteur de ligne à 50 pixels, ce qui centrerait verticalement le texte si l'élément avait une hauteur définie et non zéro. */
  text-align: center;      /* Centre le texte horizontalement à l'intérieur de l'élément. */
  color: #66b0ff;          /* Définit la couleur du texte à un bleu plus foncé. */
  border-radius: 12px;     /* Applique des coins arrondis à l'élément avec un rayon de 12 pixels. */
  margin: -90px 0 0px 150px;   /* Ajoute une marge de -15 pixels en haut, 0 pixels à droite, 0 pixels en bas et 6 pixels à gauche. */
}


/*  ADMIN */

.admin
{
    background: #fff;
    padding: 50px;
    border-radius: 10px;
}
.help-inline
{
    color: red;
}

